<template>
  <rui-tabs no-text-on-small>
    <rui-button icon="checks" caption="Tasks" :active="tab === 'tasks'" @click="tab = 'tasks'" />
    <rui-button icon="diamond" caption="Logic" :active="tab === 'logic'" @click="tab = 'logic'" />

    <rui-tab-separator />

    <rui-button icon="forum" caption="Discussion" :active="tab === 'discussion'" @click="tab = 'discussion'" />

    <rui-tab-separator spring />

    <rui-toolbar>
      <rui-button icon="pencil" variant="creative" caption="Edit" />
      <rui-button icon="trash" variant="destructive" caption="Destroy" />
    </rui-toolbar>
  </rui-tabs>

  <main v-show="tab === 'tasks'">
    <h2>Tasks</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>
  <main v-show="tab === 'logic'">
    <h2>Logic</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>
  <main v-show="tab === 'discussion'">
    <h2>Discussion</h2>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Amet autem consequuntur deleniti, eum nihil pariatur
    praesentium quod? A error nam numquam quasi, tempora ullam vel voluptatem. Animi eius illo vero.
  </main>
</template>

<script>
export default {
  data () {
    return {
      tab: 'tasks',
    }
  },
}
</script>
